## com.imcode.imcms.util.rss.dc
Class DublinCoreItem

    java.lang.Object
      com.imcode.imcms.util.rss.dc.DublinCoreItem

All Implemented Interfaces:
  Item

Direct Known Subclasses:
  DublinCoreChannel, MenuItemItem

    public class DublinCoreItem

extends java.lang.Object
implements Item

Constructor Summary
`DublinCoreItem(DublinCoreTerms dublinCoreTerms)`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getLink()`
`java.util.Map<NameSpace,org.apache.commons.beanutils.DynaBean>` `getNameSpaceBeans()`
`java.util.Map<NameSpace,java.util.Map<java.lang.String,java.lang.String>>` `getNameSpaceStrings()`
`java.lang.String` `getTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DublinCoreItem

    public DublinCoreItem(DublinCoreTerms dublinCoreTerms)

Method Detail

### getLink

    public java.lang.String getLink()

  Specified by:
    `getLink` in interface `Item`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Item`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Item`

### getNameSpaceStrings

    public java.util.Map<NameSpace,java.util.Map<java.lang.String,java.lang.String>> getNameSpaceStrings()

  Specified by:
    `getNameSpaceStrings` in interface `Item`

### getNameSpaceBeans

    public java.util.Map<NameSpace,org.apache.commons.beanutils.DynaBean> getNameSpaceBeans()

  Specified by:
    `getNameSpaceBeans` in interface `Item`